Cyan Web API - Version 1


POST api/userGroups

            Creates a UserGroup.
            

Request Information

Parameters

NameDescriptionAdditional information
userGroupRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "userGroupId": "39e8c9ca-278d-4322-a80f-66eb1ed2f1fa",
  "tenantId": "2aa4c810-3141-47b6-a711-6f8682f4d6f8",
  "lookupKey": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "isDefault": true,
  "createdDateUtc": "2026-03-22T03:49:18.7446491+00:00",
  "updatedDateUtc": "2026-03-22T03:49:18.7446491+00:00"
}

application/xml, text/xml

Sample:
<UserGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-22T03:49:18.7446491+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-22T03:49:18.7446491+00:00</UpdatedDateUtc>
  <Description>sample string 5</Description>
  <IsDefault>true</IsDefault>
  <LookupKey>sample string 3</LookupKey>
  <Name>sample string 4</Name>
  <TenantId>2aa4c810-3141-47b6-a711-6f8682f4d6f8</TenantId>
  <UserGroupId>39e8c9ca-278d-4322-a80f-66eb1ed2f1fa</UserGroupId>
</UserGroupRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.